<?php


namespace PixelioCartAbandonRecoveryMore\Admin\Services\Tracking;

if (!defined('ABSPATH')) exit;

class Pixelio_Cart_Abandon_Recovery_More_Tracking_Context
{
    private Pixelio_Cart_Abandon_Recovery_More_Tracking_Strategy_Interface $strategy;

    public function __construct(Pixelio_Cart_Abandon_Recovery_More_Tracking_Strategy_Interface $strategy)
    {
        $this->strategy = $strategy;
    }

    public function track(Pixelio_Cart_Abandon_Recovery_More_Event_Dto $event): void
    {
        $this->strategy->track($event);
    }
}
